> Tous les forums > Forum des Webmasters
 Rocky Linux
Ajouter un message à la discussion
Pages : [1] 2 3 4 5 ... Fin
Page 1 sur 5 [Fin]
griggione
  Posté le 22/06/2021 @ 08:10 
Aller en bas de la page 
Grand Maître astucien

Bonjour tous,

Comme vous le savez certainement, dans la longue lignée des codes Linux, Gregory Kurtzer, fondateur du projet CentOS a lancé le développement intensif avec la communauté pour finir de pondre : Rocky Linux

https://rockylinux.org/fr/

Le projet Rocky Linux n'est pas affilié à Red Hat, Inc. et n'est pas approuvé par cette société. Ben pardi, elle ne pense qu'à faire de l'argent, c'est son droit, mais sur le dos de CentOS, la pillule passe plutot mal.

https://www.toolinux.com/?alternative-a-centos-ce-qu-il-faut-savoir-sur-rocky-linux

https://fr.wikipedia.org/wiki/Rocky_Linux

https://linux.developpez.com/actu/311374/Le-fondateur-de-CentOS-lance-le-projet-Rocky-Linux-le-remplacant-de-la-distribution-CentOS-Linux-qui-sera-abandonnee-par-Red-Hat-fin-2021-mais-le-projet-pourrait-ne-pas-etre-facile-a-realiser/

Ce topic pour ceux qui connaissent déjà ou désirent connaitre, bref, les ressentis, les questions, les réponses ........

-----------------------------------------------------

Liste des paquets natifs dans Rocky : https://forum.pcastuces.com/sujet.asp?page=-1&f=2&s=18365&REP_ID=6353803

Liste des commandes principales Rocky : https://forum.pcastuces.com/sujet.asp?page=-1&f=2&s=18365&REP_ID=6354265

Installer un serveur VPS sous rocky : https://forum.pcastuces.com/sujet.asp?page=-1&f=2&s=18365&REP_ID=6355873



Modifié par griggione le 08/07/2021 16:14
Publicité
zoulouman
 Posté le 22/06/2021 à 19:02 
Aller en bas de la page Revenir au message précédent Revenir en haut de la page
Astucien

Je passerai bientôt par ici histoire de dire ce que je pense du truc.

jujube2
 Posté le 22/06/2021 à 20:23 
Aller en bas de la page Revenir au message précédent Revenir en haut de la page
  Maître astucien

Rocky Linux ! c' est le dernier des Rocky avec Sylvester Stallone

ok je sais

bye

griggione
 Posté le 23/06/2021 à 16:50 
Aller en bas de la page Revenir au message précédent Revenir en haut de la page
  Grand Maître astucien

Ce cher jujube2

mon dieu .....

zoulouman
 Posté le 23/06/2021 à 21:03 
Aller en bas de la page Revenir au message précédent Revenir en haut de la page
Astucien

Schwarzenegger n'était pas dispo, alors ils ont pris Stallone...

Dreamer
 Posté le 23/06/2021 à 23:25 
Aller en bas de la page Revenir au message précédent Revenir en haut de la page
  Maître astucien

griggione a écrit :

Ce cher jujube2

mon dieu .....

Euh, quelqu'un m'a demandé ??

griggione
 Posté le 29/06/2021 à 14:38 
Aller en bas de la page Revenir au message précédent Revenir en haut de la page
  Grand Maître astucien

Bonjour tous,

Puisque il y a un VPS de dispo, je me demande si ce serait une bonne idée (ou mauvaise ) d'appliquer le mini-tuto fait pour CentOS 8 ?

zoulouman
 Posté le 29/06/2021 à 19:56 
Aller en bas de la page Revenir au message précédent Revenir en haut de la page
Astucien

Ca c'est à voir...

griggione
 Posté le 30/06/2021 à 07:55 
Aller en bas de la page Revenir au message précédent Revenir en haut de la page
  Grand Maître astucien
zoulouman a écrit :

Ca c'est à voir...

Cet aprem, je m'y met.

Publicité
griggione
 Posté le 30/06/2021 à 14:54 
Aller en bas de la page Revenir au message précédent Revenir en haut de la page
  Grand Maître astucien

Bonjour tous,

J'ai trouvé ça chez https://korben.info/rocky-linux.html

dont l’objectif est de proposer un clone parfait du CentOS initial

Ca c'est interessant !

Avant de faire des c....... (style à la Licette ?),, je me demande si je dois remplacer yum ou pas ?

Parce que si je regarde par ICI , ce serait plutot dnf (fedora) ?

zoulouman
 Posté le 01/07/2021 à 10:16 
Aller en bas de la page Revenir au message précédent Revenir en haut de la page
Astucien

Tu peux installer dnf en conservant yum.

griggione
 Posté le 01/07/2021 à 10:50 
Aller en bas de la page Revenir au message précédent Revenir en haut de la page
  Grand Maître astucien

RE

Rien compris, tu veux dire que je peux installer dnf quand je vais installer nextcloud ? comme préconisé sur le lien.

Par contre, si je suis le mini-tuto fait pour CentOS 8, c'est ce qui nous interesse, je garde yum ?

griggione
 Posté le 02/07/2021 à 17:37 
Aller en bas de la page Revenir au message précédent Revenir en haut de la page
  Grand Maître astucien

RE

Maintenant que Clement a réglé le problème d'ascenseur; voila la liste des paquets natifs dans Rocky :

Paquets installés
ModemManager-glib.x86_64                              1.10.8-2.el8                                            @anaconda
NetworkManager.x86_64                                 1:1.30.0-7.el8                                          @anaconda
NetworkManager-libnm.x86_64                           1:1.30.0-7.el8                                          @anaconda
NetworkManager-team.x86_64                            1:1.30.0-7.el8                                          @anaconda
NetworkManager-tui.x86_64                             1:1.30.0-7.el8                                          @anaconda
acl.x86_64                                            2.2.53-1.el8.1                                          @baseos
audit.x86_64                                          3.0-0.17.20191104git1c2f876.el8.1                       @baseos
audit-libs.x86_64                                     3.0-0.17.20191104git1c2f876.el8.1                       @baseos
authselect.x86_64                                     1.2.2-2.el8                                             @anaconda
authselect-libs.x86_64                                1.2.2-2.el8                                             @anaconda
basesystem.noarch                                     11-5.el8                                                @anaconda
bash.x86_64                                           4.4.20-1.el8_4                                          @baseos
bind-export-libs.x86_64                               32:9.11.26-4.el8_4                                      @baseos
biosdevname.x86_64                                    0.7.3-2.el8                                             @anaconda
brotli.x86_64                                         1.0.6-3.el8                                             @anaconda
bubblewrap.x86_64                                     0.4.0-1.el8                                             @anaconda
bzip2-libs.x86_64                                     1.0.6-26.el8                                            @anaconda
c-ares.x86_64                                         1.13.0-5.el8                                            @anaconda
ca-certificates.noarch                                2020.2.41-80.0.el8_2                                    @anaconda
chkconfig.x86_64                                      1.13-2.el8                                              @anaconda
chrony.x86_64                                         3.5-2.el8                                               @anaconda
coreutils.x86_64                                      8.30-8.el8                                              @anaconda
coreutils-common.x86_64                               8.30-8.el8                                              @anaconda
cpio.x86_64                                           2.12-10.el8                                             @anaconda
cracklib.x86_64                                       2.9.6-15.el8                                            @anaconda
cracklib-dicts.x86_64                                 2.9.6-15.el8                                            @anaconda
cronie.x86_64                                         1.5.2-4.el8                                             @anaconda
cronie-anacron.x86_64                                 1.5.2-4.el8                                             @anaconda
crontabs.noarch                                       1.11-17.20190603git.el8                                 @anaconda
crypto-policies.noarch                                20210209-1.gitbfb6bed.el8_3                             @anaconda
crypto-policies-scripts.noarch                        20210209-1.gitbfb6bed.el8_3                             @anaconda
cryptsetup-libs.x86_64                                2.3.3-4.el8                                             @anaconda
curl.x86_64                                           7.61.1-18.el8                                           @anaconda
cyrus-sasl-lib.x86_64                                 2.1.27-5.el8                                            @anaconda
dbus.x86_64                                           1:1.12.8-12.el8_4.2                                     @baseos
dbus-common.noarch                                    1:1.12.8-12.el8_4.2                                     @baseos
dbus-daemon.x86_64                                    1:1.12.8-12.el8_4.2                                     @baseos
dbus-glib.x86_64                                      0.110-2.el8                                             @anaconda
dbus-libs.x86_64                                      1:1.12.8-12.el8_4.2                                     @baseos
dbus-tools.x86_64                                     1:1.12.8-12.el8_4.2                                     @baseos
device-mapper.x86_64                                  8:1.02.175-5.el8                                        @anaconda
device-mapper-event.x86_64                            8:1.02.175-5.el8                                        @anaconda
device-mapper-event-libs.x86_64                       8:1.02.175-5.el8                                        @anaconda
device-mapper-libs.x86_64                             8:1.02.175-5.el8                                        @anaconda
device-mapper-persistent-data.x86_64                  0.8.5-4.el8                                             @anaconda
dhcp-client.x86_64                                    12:4.3.6-44.el8_4.1                                     @baseos
dhcp-common.noarch                                    12:4.3.6-44.el8_4.1                                     @baseos
dhcp-libs.x86_64                                      12:4.3.6-44.el8_4.1                                     @baseos
diffutils.x86_64                                      3.6-6.el8                                               @anaconda
dmidecode.x86_64                                      1:3.2-8.el8                                             @anaconda
dnf.noarch                                            4.4.2-11.el8                                            @anaconda
dnf-data.noarch                                       4.4.2-11.el8                                            @anaconda
dnf-plugins-core.noarch                               4.0.18-4.el8                                            @anaconda
dosfstools.x86_64                                     4.1-6.el8                                               @anaconda
dracut.x86_64                                         049-135.git20210121.el8                                 @anaconda
dracut-config-rescue.x86_64                           049-135.git20210121.el8                                 @anaconda
dracut-network.x86_64                                 049-135.git20210121.el8                                 @anaconda
dracut-squash.x86_64                                  049-135.git20210121.el8                                 @anaconda
e2fsprogs.x86_64                                      1.45.6-1.el8.1                                          @baseos
e2fsprogs-libs.x86_64                                 1.45.6-1.el8.1                                          @baseos
efi-filesystem.noarch                                 3-3.el8                                                 @anaconda
efibootmgr.x86_64                                     16-1.el8                                                @anaconda
efivar-libs.x86_64                                    37-4.el8                                                @anaconda
elfutils-debuginfod-client.x86_64                     0.182-3.el8                                             @anaconda
elfutils-default-yama-scope.noarch                    0.182-3.el8                                             @anaconda
elfutils-libelf.x86_64                                0.182-3.el8                                             @anaconda
elfutils-libs.x86_64                                  0.182-3.el8                                             @anaconda
ethtool.x86_64                                        2:5.8-5.el8                                             @anaconda
expat.x86_64                                          2.2.5-4.el8                                             @anaconda
file.x86_64                                           5.33-16.el8_3.1                                         @anaconda
file-libs.x86_64                                      5.33-16.el8_3.1                                         @anaconda
filesystem.x86_64                                     3.8-3.el8                                               @anaconda
findutils.x86_64                                      1:4.6.0-20.el8                                          @anaconda
firewalld.noarch                                      0.8.2-6.el8                                             @anaconda
firewalld-filesystem.noarch                           0.8.2-6.el8                                             @anaconda
freetype.x86_64                                       2.9.1-4.el8_3.1                                         @anaconda
fuse-libs.x86_64                                      2.9.7-12.el8                                            @anaconda
fwupd.x86_64                                          1.5.5-3.el8                                             @anaconda
gawk.x86_64                                           4.2.1-2.el8                                             @anaconda
gdbm.x86_64                                           1:1.18-1.el8                                            @anaconda
gdbm-libs.x86_64                                      1:1.18-1.el8                                            @anaconda
gettext.x86_64                                        0.19.8.1-17.el8                                         @anaconda
gettext-libs.x86_64                                   0.19.8.1-17.el8                                         @anaconda
glib2.x86_64                                          2.56.4-10.el8_4                                         @baseos
glibc.x86_64                                          2.28-151.el8                                            @anaconda
glibc-all-langpacks.x86_64                            2.28-151.el8                                            @anaconda
glibc-common.x86_64                                   2.28-151.el8                                            @anaconda
gmp.x86_64                                            1:6.1.2-10.el8                                          @anaconda
gnupg2.x86_64                                         2.2.20-2.el8                                            @anaconda
gnupg2-smime.x86_64                                   2.2.20-2.el8                                            @anaconda
gnutls.x86_64                                         3.6.14-8.el8_3                                          @anaconda
gobject-introspection.x86_64                          1.56.1-1.el8                                            @anaconda
gpgme.x86_64                                          1.13.1-7.el8                                            @anaconda
gpm-libs.x86_64                                       1.20.7-17.el8                                           @appstream
grep.x86_64                                           3.1-6.el8                                               @anaconda
groff-base.x86_64                                     1.22.3-18.el8                                           @anaconda
grub2-common.noarch                                   1:2.02-99.el8                                           @anaconda
grub2-efi-x64.x86_64                                  1:2.02-99.el8                                           @anaconda
grub2-tools.x86_64                                    1:2.02-99.el8                                           @anaconda
grub2-tools-extra.x86_64                              1:2.02-99.el8                                           @anaconda
grub2-tools-minimal.x86_64                            1:2.02-99.el8                                           @anaconda
grubby.x86_64                                         8.40-41.el8                                             @anaconda
gzip.x86_64                                           1.9-12.el8                                              @anaconda
hardlink.x86_64                                       1:1.3-6.el8                                             @anaconda
hdparm.x86_64                                         9.54-3.el8                                              @anaconda
hostname.x86_64                                       3.20-6.el8                                              @anaconda
hwdata.noarch                                         0.314-8.8.el8                                           @anaconda
ima-evm-utils.x86_64                                  1.3.2-12.el8                                            @anaconda
info.x86_64                                           6.5-6.el8                                               @anaconda
initscripts.x86_64                                    10.00.15-1.el8                                          @anaconda
ipcalc.x86_64                                         0.2.4-4.el8                                             @anaconda
iproute.x86_64                                        5.9.0-4.el8                                             @anaconda
iprutils.x86_64                                       2.4.19-1.el8                                            @anaconda
ipset.x86_64                                          7.1-1.el8                                               @anaconda
ipset-libs.x86_64                                     7.1-1.el8                                               @anaconda
iptables.x86_64                                       1.8.4-17.el8                                            @anaconda
iptables-ebtables.x86_64                              1.8.4-17.el8                                            @anaconda
iptables-libs.x86_64                                  1.8.4-17.el8                                            @anaconda
iputils.x86_64                                        20180629-7.el8                                          @anaconda
irqbalance.x86_64                                     2:1.4.0-6.el8                                           @anaconda
iwl100-firmware.noarch                                39.31.5.1-102.el8.1                                     @anaconda
iwl1000-firmware.noarch                               1:39.31.5.1-102.el8.1                                   @anaconda
iwl105-firmware.noarch                                18.168.6.1-102.el8.1                                    @anaconda
iwl135-firmware.noarch                                18.168.6.1-102.el8.1                                    @anaconda
iwl2000-firmware.noarch                               18.168.6.1-102.el8.1                                    @anaconda
iwl2030-firmware.noarch                               18.168.6.1-102.el8.1                                    @anaconda
iwl3160-firmware.noarch                               1:25.30.13.0-102.el8.1                                  @anaconda
iwl5000-firmware.noarch                               8.83.5.1_1-102.el8.1                                    @anaconda
iwl5150-firmware.noarch                               8.24.2.2-102.el8.1                                      @anaconda
iwl6000-firmware.noarch                               9.221.4.1-102.el8.1                                     @anaconda
iwl6000g2a-firmware.noarch                            18.168.6.1-102.el8.1                                    @anaconda
iwl6050-firmware.noarch                               41.28.5.1-102.el8.1                                     @anaconda
iwl7260-firmware.noarch                               1:25.30.13.0-102.el8.1                                  @anaconda
jansson.x86_64                                        2.11-3.el8                                              @anaconda
json-c.x86_64                                         0.13.1-0.4.el8                                          @anaconda
json-glib.x86_64                                      1.4.4-1.el8                                             @anaconda
kbd.x86_64                                            2.0.4-10.el8                                            @anaconda
kbd-legacy.noarch                                     2.0.4-10.el8                                            @anaconda
kbd-misc.noarch                                       2.0.4-10.el8                                            @anaconda
kernel.x86_64                                         4.18.0-305.el8                                          @anaconda
kernel.x86_64                                         4.18.0-305.3.1.el8_4                                    @baseos
kernel-core.x86_64                                    4.18.0-305.el8                                          @anaconda
kernel-core.x86_64                                    4.18.0-305.3.1.el8_4                                    @baseos
kernel-modules.x86_64                                 4.18.0-305.el8                                          @anaconda
kernel-modules.x86_64                                 4.18.0-305.3.1.el8_4                                    @baseos
kernel-tools.x86_64                                   4.18.0-305.3.1.el8_4                                    @baseos
kernel-tools-libs.x86_64                              4.18.0-305.3.1.el8_4                                    @baseos
kexec-tools.x86_64                                    2.0.20-46.el8                                           @anaconda
keyutils-libs.x86_64                                  1.5.10-6.el8                                            @anaconda
kmod.x86_64                                           25-17.el8                                               @anaconda
kmod-libs.x86_64                                      25-17.el8                                               @anaconda
kpartx.x86_64                                         0.8.4-10.el8                                            @anaconda
krb5-libs.x86_64                                      1.18.2-8.el8                                            @anaconda
less.x86_64                                           530-1.el8                                               @anaconda
libacl.x86_64                                         2.2.53-1.el8.1                                          @baseos
libaio.x86_64                                         0.3.112-1.el8                                           @anaconda
libarchive.x86_64                                     3.3.3-1.el8                                             @anaconda
libassuan.x86_64                                      2.5.1-3.el8                                             @anaconda
libattr.x86_64                                        2.4.48-3.el8                                            @anaconda
libbasicobjects.x86_64                                0.1.1-39.el8                                            @anaconda
libblkid.x86_64                                       2.32.1-27.el8                                           @anaconda
libcap.x86_64                                         2.26-4.el8                                              @anaconda
libcap-ng.x86_64                                      0.7.9-5.el8                                             @anaconda
libcollection.x86_64                                  0.7.0-39.el8                                            @anaconda
libcom_err.x86_64                                     1.45.6-1.el8.1                                          @baseos
libcomps.x86_64                                       0.1.11-5.el8                                            @anaconda
libcroco.x86_64                                       0.6.12-4.el8_2.1                                        @anaconda
libcurl.x86_64                                        7.61.1-18.el8                                           @anaconda
libdaemon.x86_64                                      0.14-15.el8                                             @anaconda
libdb.x86_64                                          5.3.28-40.el8                                           @anaconda
libdb-utils.x86_64                                    5.3.28-40.el8                                           @anaconda
libdhash.x86_64                                       0.5.0-39.el8                                            @anaconda
libdnf.x86_64                                         0.55.0-7.el8                                            @anaconda
libedit.x86_64                                        3.1-23.20170329cvs.el8                                  @anaconda
libfdisk.x86_64                                       2.32.1-27.el8                                           @anaconda
libffi.x86_64                                         3.1-22.el8                                              @anaconda
libgcab1.x86_64                                       1.1-1.el8                                               @anaconda
libgcc.x86_64                                         8.4.1-1.el8                                             @anaconda
libgcrypt.x86_64                                      1.8.5-4.el8                                             @anaconda
libgomp.x86_64                                        8.4.1-1.el8                                             @anaconda
libgpg-error.x86_64                                   1.31-1.el8                                              @anaconda
libgudev.x86_64                                       232-4.el8                                               @anaconda
libgusb.x86_64                                        0.3.0-1.el8                                             @anaconda
libibverbs.x86_64                                     32.0-4.el8                                              @anaconda
libidn2.x86_64                                        2.2.0-1.el8                                             @anaconda
libini_config.x86_64                                  1.3.1-39.el8                                            @anaconda
libkcapi.x86_64                                       1.2.0-2.el8                                             @anaconda
libkcapi-hmaccalc.x86_64                              1.2.0-2.el8                                             @anaconda
libksba.x86_64                                        1.3.5-7.el8                                             @anaconda
libldb.x86_64                                         2.2.0-2.el8                                             @anaconda
libmbim.x86_64                                        1.20.2-1.el8                                            @anaconda
libmetalink.x86_64                                    0.1.3-7.el8                                             @anaconda
libmnl.x86_64                                         1.0.4-6.el8                                             @anaconda
libmodulemd.x86_64                                    2.9.4-2.el8                                             @anaconda
libmount.x86_64                                       2.32.1-27.el8                                           @anaconda
libndp.x86_64                                         1.7-5.el8                                               @anaconda
libnetfilter_conntrack.x86_64                         1.0.6-5.el8                                             @anaconda
libnfnetlink.x86_64                                   1.0.1-13.el8                                            @anaconda
libnfsidmap.x86_64                                    1:2.3.3-41.el8                                          @anaconda
libnftnl.x86_64                                       1.1.5-4.el8                                             @anaconda
libnghttp2.x86_64                                     1.33.0-3.el8_3.1                                        @anaconda
libnl3.x86_64                                         3.5.0-1.el8                                             @anaconda
libnl3-cli.x86_64                                     3.5.0-1.el8                                             @anaconda
libnsl2.x86_64                                        1.2.0-2.20180605git4a062cf.el8                          @anaconda
libpath_utils.x86_64                                  0.2.1-39.el8                                            @anaconda
libpcap.x86_64                                        14:1.9.1-5.el8                                          @anaconda
libpipeline.x86_64                                    1.5.0-2.el8                                             @anaconda
libpng.x86_64                                         2:1.6.34-5.el8                                          @anaconda
libpsl.x86_64                                         0.20.2-6.el8                                            @anaconda
libpwquality.x86_64                                   1.4.4-3.el8                                             @anaconda
libqmi.x86_64                                         1.24.0-1.el8                                            @anaconda
libref_array.x86_64                                   0.1.5-39.el8                                            @anaconda
librepo.x86_64                                        1.12.0-3.el8                                            @anaconda
libreport-filesystem.x86_64                           2.9.5-15.el8.rocky.1                                    @baseos
libseccomp.x86_64                                     2.5.1-1.el8                                             @anaconda
libselinux.x86_64                                     2.9-5.el8                                               @anaconda
libselinux-utils.x86_64                               2.9-5.el8                                               @anaconda
libsemanage.x86_64                                    2.9-6.el8                                               @anaconda
libsepol.x86_64                                       2.9-2.el8                                               @anaconda
libsigsegv.x86_64                                     2.11-5.el8                                              @anaconda
libsmartcols.x86_64                                   2.32.1-27.el8                                           @anaconda
libsmbios.x86_64                                      2.4.1-2.el8                                             @anaconda
libsolv.x86_64                                        0.7.16-2.el8                                            @anaconda
libss.x86_64                                          1.45.6-1.el8.1                                          @baseos
libssh.x86_64                                         0.9.4-2.el8                                             @anaconda
libssh-config.noarch                                  0.9.4-2.el8                                             @anaconda
libsss_autofs.x86_64                                  2.4.0-9.el8                                             @anaconda
libsss_certmap.x86_64                                 2.4.0-9.el8                                             @anaconda
libsss_idmap.x86_64                                   2.4.0-9.el8                                             @anaconda
libsss_nss_idmap.x86_64                               2.4.0-9.el8                                             @anaconda
libsss_sudo.x86_64                                    2.4.0-9.el8                                             @anaconda
libstdc++.x86_64                                      8.4.1-1.el8                                             @anaconda
libsysfs.x86_64                                       2.1.0-24.el8                                            @anaconda
libtalloc.x86_64                                      2.3.1-2.el8                                             @anaconda
libtasn1.x86_64                                       4.13-3.el8                                              @anaconda
libtdb.x86_64                                         1.4.3-1.el8                                             @anaconda
libteam.x86_64                                        1.31-2.el8                                              @anaconda
libtevent.x86_64                                      0.10.2-2.el8                                            @anaconda
libtirpc.x86_64                                       1.1.4-4.el8                                             @anaconda
libunistring.x86_64                                   0.9.9-3.el8                                             @anaconda
libusbx.x86_64                                        1.0.23-4.el8                                            @anaconda
libuser.x86_64                                        0.62-23.el8                                             @anaconda
libutempter.x86_64                                    1.1.6-14.el8                                            @anaconda
libuuid.x86_64                                        2.32.1-27.el8                                           @anaconda
libverto.x86_64                                       0.3.0-5.el8                                             @anaconda
libxcrypt.x86_64                                      4.1.1-4.el8                                             @anaconda
libxml2.x86_64                                        2.9.7-9.el8                                             @anaconda
libxmlb.x86_64                                        0.1.15-1.el8                                            @anaconda
libyaml.x86_64                                        0.1.7-5.el8                                             @anaconda
libzstd.x86_64                                        1.4.4-1.el8                                             @anaconda
linux-firmware.noarch                                 20201218-102.git05789708.el8                            @anaconda
lmdb-libs.x86_64                                      0.9.24-1.el8                                            @anaconda
lshw.x86_64                                           B.02.19.2-5.el8                                         @anaconda
lsscsi.x86_64                                         0.32-2.el8                                              @anaconda
lua-libs.x86_64                                       5.3.4-11.el8                                            @anaconda
lvm2.x86_64                                           8:2.03.11-5.el8                                         @anaconda
lvm2-libs.x86_64                                      8:2.03.11-5.el8                                         @anaconda
lz4-libs.x86_64                                       1.8.3-2.el8                                             @anaconda
lzo.x86_64                                            2.08-14.el8                                             @anaconda
man-db.x86_64                                         2.7.6.1-17.el8                                          @anaconda
mc.x86_64                                             1:4.8.19-9.el8                                          @appstream
memstrack.x86_64                                      0.1.11-1.el8                                            @anaconda
microcode_ctl.x86_64                                  4:20210216-1.20210525.1.el8_4                           @baseos
mokutil.x86_64                                        1:0.3.0-11.el8                                          @anaconda
mozjs60.x86_64                                        60.9.0-4.el8                                            @anaconda
mpfr.x86_64                                           3.1.6-1.el8                                             @anaconda
ncurses.x86_64                                        6.1-7.20180224.el8.1                                    @baseos
ncurses-base.noarch                                   6.1-7.20180224.el8.1                                    @baseos
ncurses-libs.x86_64                                   6.1-7.20180224.el8.1                                    @baseos
nettle.x86_64                                         3.4.1-4.el8_4                                           @baseos
newt.x86_64                                           0.52.20-11.el8                                          @anaconda
nftables.x86_64                                       1:0.9.3-18.el8                                          @anaconda
npth.x86_64                                           1.5-4.el8                                               @anaconda
numactl-libs.x86_64                                   2.0.12-11.el8                                           @anaconda
openldap.x86_64                                       2.4.46-16.el8                                           @anaconda
openssh.x86_64                                        8.0p1-6.el8_4.2                                         @baseos
openssh-clients.x86_64                                8.0p1-6.el8_4.2                                         @baseos
openssh-server.x86_64                                 8.0p1-6.el8_4.2                                         @baseos
openssl.x86_64                                        1:1.1.1g-15.el8_3                                       @anaconda
openssl-libs.x86_64                                   1:1.1.1g-15.el8_3                                       @anaconda
openssl-pkcs11.x86_64                                 0.4.10-2.el8                                            @anaconda
os-prober.x86_64                                      1.74-6.el8                                              @anaconda
p11-kit.x86_64                                        0.23.22-1.el8                                           @anaconda
p11-kit-trust.x86_64                                  0.23.22-1.el8                                           @anaconda
pam.x86_64                                            1.3.1-14.el8                                            @anaconda
parted.x86_64                                         3.2-38.el8                                              @anaconda
passwd.x86_64                                         0.80-3.el8                                              @anaconda
pciutils.x86_64                                       3.7.0-1.el8                                             @anaconda
pciutils-libs.x86_64                                  3.7.0-1.el8                                             @anaconda
pcre.x86_64                                           8.42-4.el8                                              @anaconda
pcre2.x86_64                                          10.32-2.el8                                             @anaconda
perl-Carp.noarch                                      1.42-396.el8                                            @baseos
perl-Data-Dumper.x86_64                               2.167-399.el8                                           @baseos
perl-Digest.noarch                                    1.17-395.el8                                            @appstream
perl-Digest-MD5.x86_64                                2.55-396.el8                                            @appstream
perl-Encode.x86_64                                    4:2.97-3.el8                                            @baseos
perl-Errno.x86_64                                     1.28-419.el8                                            @baseos
perl-Exporter.noarch                                  5.72-396.el8                                            @baseos
perl-File-Path.noarch                                 2.15-2.el8                                              @baseos
perl-File-Temp.noarch                                 0.230.600-1.el8                                         @baseos
perl-Getopt-Long.noarch                               1:2.50-4.el8                                            @baseos
perl-HTTP-Tiny.noarch                                 0.074-1.el8                                             @baseos
perl-IO.x86_64                                        1.38-419.el8                                            @baseos
perl-IO-Socket-IP.noarch                              0.39-5.el8                                              @appstream
perl-IO-Socket-SSL.noarch                             2.066-4.module+el8.4.0+512+d4f0fc54                     @appstream
perl-MIME-Base64.x86_64                               3.15-396.el8                                            @baseos
perl-Mozilla-CA.noarch                                20160104-7.module+el8.4.0+529+e3b3e624                  @appstream
perl-Net-SSLeay.x86_64                                1.88-1.module+el8.4.0+512+d4f0fc54                      @appstream
perl-PathTools.x86_64                                 3.74-1.el8                                              @baseos
perl-Pod-Escapes.noarch                               1:1.07-395.el8                                          @baseos
perl-Pod-Perldoc.noarch                               3.28-396.el8                                            @baseos
perl-Pod-Simple.noarch                                1:3.35-395.el8                                          @baseos
perl-Pod-Usage.noarch                                 4:1.69-395.el8                                          @baseos
perl-Scalar-List-Utils.x86_64                         3:1.49-2.el8                                            @baseos
perl-Socket.x86_64                                    4:2.027-3.el8                                           @baseos
perl-Storable.x86_64                                  1:3.11-3.el8                                            @baseos
perl-Term-ANSIColor.noarch                            4.06-396.el8                                            @baseos
perl-Term-Cap.noarch                                  1.17-395.el8                                            @baseos
perl-Text-ParseWords.noarch                           3.30-395.el8                                            @baseos
perl-Text-Tabs+Wrap.noarch                            2013.0523-395.el8                                       @baseos
perl-Time-Local.noarch                                1:1.280-1.el8                                           @baseos
perl-URI.noarch                                       1.73-3.el8                                              @appstream
perl-Unicode-Normalize.x86_64                         1.25-396.el8                                            @baseos
perl-constant.noarch                                  1.33-396.el8                                            @baseos
perl-interpreter.x86_64                               4:5.26.3-419.el8                                        @baseos
perl-libnet.noarch                                    3.11-3.el8                                              @appstream
perl-libs.x86_64                                      4:5.26.3-419.el8                                        @baseos
perl-macros.x86_64                                    4:5.26.3-419.el8                                        @baseos
perl-parent.noarch                                    1:0.237-1.el8                                           @baseos
perl-podlators.noarch                                 4.11-1.el8                                              @baseos
perl-threads.x86_64                                   1:2.21-2.el8                                            @baseos
perl-threads-shared.x86_64                            1.58-2.el8                                              @baseos
pigz.x86_64                                           2.4-4.el8                                               @anaconda
platform-python.x86_64                                3.6.8-37.el8.rocky                                      @anaconda
platform-python-pip.noarch                            9.0.3-19.el8.rocky                                      @baseos
platform-python-setuptools.noarch                     39.2.0-6.el8                                            @anaconda
policycoreutils.x86_64                                2.9-14.el8                                              @anaconda
polkit.x86_64                                         0.115-11.el8_4.1                                        @baseos
polkit-libs.x86_64                                    0.115-11.el8_4.1                                        @baseos
polkit-pkla-compat.x86_64                             0.1-12.el8                                              @anaconda
popt.x86_64                                           1.18-1.el8                                              @anaconda
prefixdevname.x86_64                                  0.1.0-6.el8                                             @anaconda
procps-ng.x86_64                                      3.3.15-6.el8                                            @anaconda
publicsuffix-list-dafsa.noarch                        20180723-1.el8                                          @anaconda
python3-configobj.noarch                              5.0.6-11.el8                                            @anaconda
python3-dateutil.noarch                               1:2.6.1-6.el8                                           @anaconda
python3-dbus.x86_64                                   1.2.4-15.el8                                            @anaconda
python3-decorator.noarch                              4.2.1-2.el8                                             @anaconda
python3-dnf.noarch                                    4.4.2-11.el8                                            @anaconda
python3-dnf-plugins-core.noarch                       4.0.18-4.el8                                            @anaconda
python3-firewall.noarch                               0.8.2-6.el8                                             @anaconda
python3-gobject-base.x86_64                           3.28.3-2.el8                                            @anaconda
python3-gpg.x86_64                                    1.13.1-7.el8                                            @anaconda
python3-hawkey.x86_64                                 0.55.0-7.el8                                            @anaconda
python3-libcomps.x86_64                               0.1.11-5.el8                                            @anaconda
python3-libdnf.x86_64                                 0.55.0-7.el8                                            @anaconda
python3-libs.x86_64                                   3.6.8-37.el8.rocky                                      @anaconda
python3-libselinux.x86_64                             2.9-5.el8                                               @anaconda
python3-linux-procfs.noarch                           0.6.3-1.el8                                             @anaconda
python3-nftables.x86_64                               1:0.9.3-18.el8                                          @anaconda
python3-perf.x86_64                                   4.18.0-305.3.1.el8_4                                    @baseos
python3-pip-wheel.noarch                              9.0.3-19.el8.rocky                                      @baseos
python3-pyudev.noarch                                 0.21.0-7.el8                                            @anaconda
python3-rpm.x86_64                                    4.14.3-13.el8                                           @anaconda
python3-schedutils.x86_64                             0.6-6.el8                                               @anaconda
python3-setuptools-wheel.noarch                       39.2.0-6.el8                                            @anaconda
python3-six.noarch                                    1.11.0-8.el8                                            @anaconda
python3-slip.noarch                                   0.6.4-11.el8                                            @anaconda
python3-slip-dbus.noarch                              0.6.4-11.el8                                            @anaconda
python3-syspurpose.x86_64                             1.28.13-2.el8                                           @anaconda
rdma-core.x86_64                                      32.0-4.el8                                              @anaconda
readline.x86_64                                       7.0-10.el8                                              @anaconda
rocky-gpg-keys.noarch                                 8.4-26.el8                                              @baseos
rocky-release.noarch                                  8.4-26.el8                                              @baseos
rocky-repos.noarch                                    8.4-26.el8                                              @baseos
rootfiles.noarch                                      8.1-22.el8                                              @anaconda
rpm.x86_64                                            4.14.3-13.el8                                           @anaconda
rpm-build-libs.x86_64                                 4.14.3-13.el8                                           @anaconda
rpm-libs.x86_64                                       4.14.3-13.el8                                           @anaconda
rpm-plugin-selinux.x86_64                             4.14.3-13.el8                                           @anaconda
rpm-plugin-systemd-inhibit.x86_64                     4.14.3-13.el8                                           @anaconda
sed.x86_64                                            4.5-2.el8                                               @anaconda
selinux-policy.noarch                                 3.14.3-67.el8                                           @anaconda
selinux-policy-targeted.noarch                        3.14.3-67.el8                                           @anaconda
setup.noarch                                          2.12.2-6.el8                                            @anaconda
sg3_utils.x86_64                                      1.44-5.el8                                              @anaconda
sg3_utils-libs.x86_64                                 1.44-5.el8                                              @anaconda
shadow-utils.x86_64                                   2:4.6-12.el8                                            @anaconda
shared-mime-info.x86_64                               1.9-3.el8                                               @anaconda
shim-x64.x86_64                                       15.4-2.el8.rocky                                        @anaconda
slang.x86_64                                          2.3.2-3.el8                                             @anaconda
snappy.x86_64                                         1.1.8-3.el8                                             @anaconda
sqlite-libs.x86_64                                    3.26.0-13.el8                                           @anaconda
squashfs-tools.x86_64                                 4.3-20.el8                                              @anaconda
sssd-client.x86_64                                    2.4.0-9.el8                                             @anaconda
sssd-common.x86_64                                    2.4.0-9.el8                                             @anaconda
sssd-kcm.x86_64                                       2.4.0-9.el8                                             @anaconda
sssd-nfs-idmap.x86_64                                 2.4.0-9.el8                                             @anaconda
sudo.x86_64                                           1.8.29-7.el8                                            @anaconda
systemd.x86_64                                        239-45.el8                                              @anaconda
systemd-libs.x86_64                                   239-45.el8                                              @anaconda
systemd-pam.x86_64                                    239-45.el8                                              @anaconda
systemd-udev.x86_64                                   239-45.el8                                              @anaconda
teamd.x86_64                                          1.31-2.el8                                              @anaconda
timedatex.x86_64                                      0.5-3.el8                                               @anaconda
tpm2-tss.x86_64                                       2.3.2-3.el8                                             @anaconda
trousers.x86_64                                       0.3.15-1.el8                                            @anaconda
trousers-lib.x86_64                                   0.3.15-1.el8                                            @anaconda
tuned.noarch                                          2.15.0-2.el8                                            @anaconda
tzdata.noarch                                         2021a-1.el8                                             @anaconda
util-linux.x86_64                                     2.32.1-27.el8                                           @anaconda
vim-minimal.x86_64                                    2:8.0.1763-15.el8                                       @anaconda
virt-what.x86_64                                      1.18-6.el8                                              @anaconda
wget.x86_64                                           1.19.5-10.el8                                           @appstream
which.x86_64                                          2.21-12.el8                                             @anaconda
xfsprogs.x86_64                                       5.0.0-8.el8                                             @anaconda
xz.x86_64                                             5.2.4-3.el8.1                                           @baseos
xz-libs.x86_64                                        5.2.4-3.el8.1                                           @baseos
yum.noarch                                            4.4.2-11.el8                                            @anaconda
zlib.x86_64                                           1.2.11-17.el8                                           @anaconda
[root@vm6-10 ~]#

.

Je vois qu'il y a DNF et YUM mais pas RHEL.

EDIT:

Selinux est installé mais pas fail2ban.

J'attends confirmation du grand maître !



Modifié par griggione le 02/07/2021 17:42
zoulouman
 Posté le 02/07/2021 à 20:54 
Aller en bas de la page Revenir au message précédent Revenir en haut de la page
Astucien

Rooooh !
C'est à toi d'installer ce qui manque, souviens toi...

Quant à Yum et DNF, ils cohabitent, ils existent les deux sous CentOS 8.

RHEL ? Cherche la signification du truc et tu comprendras...

T'as pas encore tout compris, hein ?

griggione
 Posté le 03/07/2021 à 17:05 
Aller en bas de la page Revenir au message précédent Revenir en haut de la page
  Grand Maître astucien

RE

Je viens de me lancer.

Pour la sécurité, commencer par désactiver SELinux

[root@vm6-10 ~]# sestatus
SELinux status:                 disabled

.

Toujours pour la sécurité, installer fail2ban

[root@vm6-10 ~]# yum install fail2ban
Dernière vérification de l’expiration des métadonnées effectuée il y a 1:33:03 le sam. 03 juil. 2021 09:25:22 EDT.
Aucune correspondance pour le paramètre: fail2ban
Erreur : Impossible de trouver une correspondance: fail2ban

.

théoriquement, il existe déjà une "jail" pour SSHd (le processus OpenSSH), Créer ou éditer le fichier jail.local

[sshd]
enabled = true
action = iptables[name=sshd, port=ssh, protocol=tcp]
maxretry = 3

Et ce fichier, je le crée ou ?



Modifié par griggione le 03/07/2021 17:13
zoulouman
 Posté le 03/07/2021 à 20:09 
Aller en bas de la page Revenir au message précédent Revenir en haut de la page
Astucien

Ah non ! Ca va pas recommencer...
Ca a été dit et redit, regarde tes notes ou le topic dédié à tes machins cloud.

griggione
 Posté le 04/07/2021 à 08:28 
Aller en bas de la page Revenir au message précédent Revenir en haut de la page
  Grand Maître astucien

Bonjour tous,

zoulouman a écrit :

Ca a été dit et redit, regarde tes notes ou le topic dédié à tes machins cloud.

Pourtant, je me suis calé sur les notes prises la dernière fois.

J'ai retrouvé le post :https://forum.pcastuces.com/sujet.asp?page=-1&f=2&s=18282&REP_ID=6236522

Ca commence bien par :

apt-get install fail2ban

Bien sur, j'ai remplacé apt-get par yum puisqu'il s'agit de Rocky (CentOS) mais dans ce cas, pourquoi :

[root@vm6-10 ~]# yum install fail2ban
Dernière vérification de l’expiration des métadonnées effectuée il y a 1:33:03 le sam. 03 juil. 2021 09:25:22 EDT.
Aucune correspondance pour le paramètre: fail2ban
Erreur : Impossible de trouver une correspondance: fail2ban

Ensuite, il est vrai que j'ai mal copié :

théoriquement, il existe déjà une "jail" pour SSHd (le processus OpenSSH), Créer ou éditer le fichier jail.local

    [sshd]
    enabled = true
    action = iptables[name=sshd, port=ssh, protocol=tcp]
    maxretry = 3

alors que c'est :

théoriquement, il existe déjà une "jail" pour SSHd (le processus OpenSSH), qu'il suffira d'activer dans /etc/fail2ban/jail.d/defaults-debian.conf 

[sshd]
enabled = true

[sshd-ddos]
enabled = true

[recidive]
enabled = true

Le reste, j'ai vérifié est bien conforme à ton post. Toujours en changeant apt-get par yum.

Mais on en est pas là, puisque fail2ban n'est pas installé.

EDIT :

zoulouman a écrit :

Ah non ! Ca va pas recommencer...

T'es dur avec moi



Modifié par griggione le 04/07/2021 08:34
Publicité
griggione
 Posté le 04/07/2021 à 08:47 
Aller en bas de la page Revenir au message précédent Revenir en haut de la page
  Grand Maître astucien

RE

Autre question.

Avant d'installer et configurer fail2ban, est-ce que j'ai pas interet d'installer :

- Création d’un nouvel utilisateur

- Changer le port d'écoute ssh

- Installer nano pour garder les sessions SSH ouvertes plus longtemps

- Désactiver l'utilisateur ROOT en SSH également

griggione
 Posté le 04/07/2021 à 09:22 
Aller en bas de la page Revenir au message précédent Revenir en haut de la page
  Grand Maître astucien

RE

Liste des commandes principales Rocky :

[root@serveur ~]# /usr/bin/yum --help

usage: yum [options] COMMAND

Liste des commandes principales :

alias                     Liste ou crée les alias de commandes
autoremove                supprime tous les paquets non nécessaires installés à l’origine comme dépendances
check                     identifier les problèmes dans packagedb
check-update              recherche les mises à jour de paquets disponibles
clean                     supprime les données du cache
deplist                   Liste les dépendances du paquet et indique quels paquets les fournissent
distro-sync               synchronise les paquets installés vers leurs versions les plus récentes
downgrade                 Rétrograde un paquet
group                     affiche ou utilise les informations des groupes
help                      affiche un message d’aide à l’utilisation
history                   affiche ou utilise l’historique de transaction
info                      affiche les détails d’un paquet ou d’un groupe de paquets
install                   installe un ou plusieurs paquets sur votre système
list                      liste un paquet ou un groupe de paquets
makecache                 génération du cache des métadonnées
mark                      marquer ou démarquer les paquets installés comme installés par l’utilisateur.
module                    Interagit avec les modules.
provides                  recherche quel paquet fournit la valeur donnée
reinstall                 Réinstalle un paquet
remove                    supprime un ou plusieurs paquets de votre système
repolist                  affiche les dépôts logiciels configurés
repoquery                 recherche les paquets qui correspondent au mot clé
repository-packages       exécute des commandes pour chaque paquet d’un dépôt donné
search                    recherche les détails du paquet en fonction de la chaîne entrée
shell                     exécute un interpréteur de commandes YUM interactif
swap                      exécute un interpréteur de commandes YUM interactif pour la suppression et l’installation d’une spécification
updateinfo                affiche des avertissements concernant les paquets
upgrade                   met à niveau un ou plusieurs paquets de votre système
upgrade-minimal           met à jour, mais uniquement les paquets correspondants les plus récents qui résolvent un problème affectant votre système

Liste des commandes de greffons :

builddep                  Install build dependencies for package or spec file
changelog                 affiche le contenu du journal des changements des paquets
config-manager            gestion de la configuration et des dépôts yum
copr                      Interagit avec les dépôts Copr.
debug-dump                déverse les informations des paquets rpm installés vers un fichier
debug-restore             restaure les paquets enregistrés dans le fichier de déversement de débuggage
debuginfo-install         installe les paquets debuginfo
download                  Téléchargement du paquet dans le répertoire courant
groups-manager            créer et modifier le fichier de métadonnées des groupes
needs-restarting          détermine les binaires mis à jour qui nécessitent un redémarrage
playground                Interagit avec le dépôt Playground.
repoclosure               Affiche une liste de dépendances non résolues pour les dépôts
repodiff                  Liste les différences entre deux ensembles de dépôts
repograph                 Sortie d’un graphe de dépendance des paquets complet au format dot
repomanage                Gère un dossier de paquets rpm
reposync                  télécharger tous les paquets depuis le dépôt distant

General YUM options:
  -c [config file], --config [config file]
                        emplacement du fichier de configuration
  -q, --quiet           opération silencieuse
  -v, --verbose         opération verbeuse
  --version             affiche la version de YUM et quitte
  --installroot [path]  définit la racine d’installation
  --nodocs              ne pas installer les documentations
  --noplugins           désactive tous les modules complémentaires
  --enableplugin [plugin]
                        active les modules complémentaires par nom
  --disableplugin [plugin]
                        désactive les modules complémentaires par leur nom
  --releasever RELEASEVER
                        annule la valeur de $releasever dans les fichiers de
                        configuration et de dépôts
  --setopt SETOPTS      réinitialise la configuration ainsi que les options
                        des dépôts
  --skip-broken         résout les problèmes de résolutions de dépendance en
                        ignorant les paquets
  -h, --help, --help-cmd
                        affiche l’aide de la commande
  --allowerasing        autorise l’effacement des paquets installés pour
                        résoudre les dépendances
  -b, --best            tente d’utiliser les versions de paquets les plus
                        récentes lors des transactions.
  --nobest              ne pas limiter la transaction au meilleur candidat
  -C, --cacheonly       exécute entièrement depuis le cache système, sans le
                        mettre à jour
  -R [minutes], --randomwait [minutes]
                        temps d’attente maximum de la commande
  -d [debug level], --debuglevel [debug level]
                        niveau de déboguage pour la sortie
  --debugsolver         détaille les résultats de résolution des dépendances
                        dans des fichiers
  --showduplicates      affiche les doublons dans les dépôts, pour les
                        commandes list/search
  -e ERRORLEVEL, --errorlevel ERRORLEVEL
                        niveau d’erreur pour la sortie
  --obsoletes           active la mécanique de traitement des paquets
                        obsolètes de yum pour les mises à jour ou affiche les
                        fonctionnalités qu’un paquet rend obsolètes pour les
                        commandes « info », « list » et « repoquery »
  --rpmverbosity [debug level name]
                        niveau de déboguage de rpm pour la sortie
  -y, --assumeyes       répond automatiquement oui à toutes les questions
  --assumeno            répond automatiquement non à toutes les questions
  --enablerepo [repo]   Active les dépôts additionnels. Option de liste. Prend
                        en charge les globs, peut être renseigné plusieurs
                        fois.
  --disablerepo [repo]  Désactive les dépôts. Option de liste. Prend en charge
                        les globs, peut être renseigné plusieurs fois.
  --repo [repo], --repoid [repo]
                        active seulement des dépôts spécifiques par id ou par
                        le caractère générique (*), peut être spécifié
                        plusieurs fois
  --enable              active les dépôts avec la commande config-manager
                        (sauvegarde automatiquement)
  --disable             désactive les dépôts avec la commande config-manager
                        (sauvegarde automatiquement)
  -x [package], --exclude [package], --excludepkgs [package]
                        exclut des paquets par leur nom ou par le caractère
                        générique (*)
  --disableexcludes [repo], --disableexcludepkgs [repo]
                        désactive « excludepkgs »
  --repofrompath [repo,path]
                        étiquette et chemin vers un dépôt additionnel (même
                        chemin que dans un baseurl), peut être spécifié
                        plusieurs fois.
  --noautoremove        désactive la suppression des dépendances désormais
                        inutilisées
  --nogpgcheck          désactive la vérification par signature gpg (si la
                        politique RPM le permet)
  --color COLOR         contrôle l’utilisation ou pas de la couleur
  --refresh             configure les métadonnées comme étant expirées avant
                        d’exécuter la commande
  -4                    résout en adresses IPv4 uniquement
  -6                    résout en adresses IPv6 uniquement
  --destdir DESTDIR, --downloaddir DESTDIR
                        définit le dossier dans lequel copier les paquets
  --downloadonly        télécharge seulement des paquets
  --comment COMMENT     ajoute un commentaire à la transaction
  --bugfix              Inclut les paquets concernant la correction de bugs
                        dans les mises à jour
  --enhancement         Inclut les paquets concernant des améliorations dans
                        les mises à jour
  --newpackage          Inclut les paquets concernant les nouveaux paquets
                        dans les mises à jour
  --security            Inclure les paquets concernant la sécurité dans les
                        mises à jour
  --advisory ADVISORY, --advisories ADVISORY
                        Inclut dans les mises à jour les paquets nécessaires
                        pour résoudre une alerte donnée, dans les mises à jour
  --bz BUGZILLA, --bzs BUGZILLA
                        Inclut dans les mises à jour les paquets nécessaires
                        pour résoudre le ticket BugZilla cité
  --cve CVES, --cves CVES
                        Inclut dans les mises à jour les paquets nécessaires
                        pour résoudre le CVE cité
  --sec-severity {Critical,Important,Moderate,Low}, --secseverity {Critical,Important,Moderate,Low}
                        Inclut les paquets concernant la sécurité avec une
                        certaine sévérité dans les mises à jour
  --forcearch ARCH      Force l’utilisation d’une architecture

zoulouman
 Posté le 05/07/2021 à 21:23 
Aller en bas de la page Revenir au message précédent Revenir en haut de la page
Astucien

griggione a écrit :

RE

Autre question.

Avant d'installer et configurer fail2ban, est-ce que j'ai pas interet d'installer :

- Création d’un nouvel utilisateur

Tu serais pas en train de confondre avec utilisateur SQL ?

- Changer le port d'écoute ssh

Pourquoi pas ?

- Installer nano pour garder les sessions SSH ouvertes plus longtemps

Pourquoi pas non plus ?

- Désactiver l'utilisateur ROOT en SSH également

Tu veux recommencer la même connerie que l'autre jour ?

Pour fail2ban, je te le répète une dernière fois, alors note le !

yum install epel-release -y
yum install fail2ban -y


Modifié par zoulouman le 05/07/2021 21:25
griggione
 Posté le 06/07/2021 à 07:52 
Aller en bas de la page Revenir au message précédent Revenir en haut de la page
  Grand Maître astucien

Bonjour zoulouman,

zoulouman a écrit :

- Changer le port d'écoute ssh

Pourquoi pas ?

- Installer nano pour garder les sessions SSH ouvertes plus longtemps

Pourquoi pas non plus ?

OK, je vais commencer par ça.

zoulouman a écrit :

- Création d’un nouvel utilisateur

Tu serais pas en train de confondre avec utilisateur SQL ?

- Désactiver l'utilisateur ROOT en SSH également

Tu veux recommencer la même connerie que l'autre jour ?

Non non, je parle bien d'un utilisteur pour justement éviter la connexion sous ROOT.

Sinon, je ne le ferais qu'une fois tout installé et en place. Je peux modifier sshd_config via SSH.

zoulouman a écrit :

Pour fail2ban, je te le répète une dernière fois, alors note le

Je te remet ce que tu m'as marqué pour installé fail2ban : https://forum.pcastuces.com/installer_un_serveur_vps_sous_ssh-f2s18282.htm?page=6&#6236522

zoulouman a écrit :

Ok ça roule.

Tu peux déjà commencer par l'installer :

yum install fail2ban



Modifié par griggione le 06/07/2021 07:54
zoulouman
 Posté le 06/07/2021 à 09:10 
Aller en bas de la page Revenir au message précédent Revenir en haut de la page
Astucien

Salut l'aveugle et le sourd,

Ah ben voilà que je ne sais plus copier le lien d'un message sans l'éditer...

Pour fail2ban, regarde ce que j'avais rectifié après : https://forum.pcastuces.com/installer_un_serveur_vps_sous_ssh-f2s18282.htm?page=9&#6243195


Arrête de vouloir virer root !
Quand ce sera fait, tu feras comment pour bricoler ta config SSH si c'est nécessaire ?
Tu feras comment pour installer la plupart des paquets ? Editer les config de tout ce que tu installes ?

Tu vas mettre des "sudo" de partout ?
T'es déjà pas à l'aise avec la console, alors comment tu vas faire pour glisser un sudo dans Filezilla ?

Enfin bref, fais le si ça t'amuse, mais tu seras obligé de retourner voir ton hébergeur pour lui expliquer que tu as fait la même connerie.
Ce qui prouve bien que tu ne notes rien et que tu ne retiens rien.

griggione
 Posté le 06/07/2021 à 09:27 
Aller en bas de la page Revenir au message précédent Revenir en haut de la page
  Grand Maître astucien

RE

zoulouman a écrit :

Salut l'aveugle et le sourd,

Pour fail2ban, regarde ce que j'avais rectifié après : https://forum.pcastuces.com/installer_un_serveur_vps_sous_ssh-f2s18282.htm?page=9�

j'avais pas été aussi loin , bon, j'ai compris :

zoulouman a écrit :

Arrête de vouloir virer root !
Quand ce sera fait, tu feras comment pour bricoler ta config SSH si c'est nécessaire ?
Tu feras comment pour installer la plupart des paquets ? Editer les config de tout ce que tu installes ?

Tu vas mettre des "sudo" de partout ?

Pourquoi, de partout, il est conseillé de créer un utilisateur afin d'éviter la connexion en root ?

Si tu me confirmes que cela n'est pas nécessaire, je resterais sur root.

zoulouman a écrit :

Ce qui prouve bien que tu ne notes rien et que tu ne retiens rien.

Ho que si, peut-être trop même.

Nano est installé.

Installé:
  esmtp-1.2-15.el8.x86_64                  fail2ban-0.11.2-1.el8.noarch                           fail2ban-firewalld-0.11.2-1.el8.noarch
  fail2ban-sendmail-0.11.2-1.el8.noarch    fail2ban-server-0.11.2-1.el8.noarch                    libesmtp-1.0.6-18.el8.x86_64
  liblockfile-1.14-1.el8.x86_64            python3-pip-9.0.3-19.el8.rocky.noarch                  python3-setuptools-39.2.0-6.el8.noarch
  python3-systemd-234-8.el8.x86_64         python36-3.6.8-2.module+el8.4.0+597+ddf0ddea.x86_64

Terminé !

Nouveau port installé sauf que je n'entre plus ggggrrrrr

Je suis peut-etre allé un peu vite, et j'ai un doute sur le numéro.

Une solution ?

EDIT /

J'ai rajouté aussi : ClientAliveInterval 120
#ClientAliveInterval n'était pas dans la liste du ssh_config



Modifié par griggione le 06/07/2021 09:35
zoulouman
 Posté le 06/07/2021 à 10:46 
Aller en bas de la page Revenir au message précédent Revenir en haut de la page
Astucien

Tu utilises ce port pour te connecter ?

Ne me dis pas que tu as oublié d'ouvrir ce port dans Iptables ?! (firewall) Avec CentOS, tous les ports sont fermés sauf ceux qu'on ouvre.
Si c'est le cas, ton hébergeur va être content d'avoir de tes nouvelles.

A partir du moment où fail2ban fonctionne, changer de port n'est plus très utile.

griggione
 Posté le 06/07/2021 à 11:44 
Aller en bas de la page Revenir au message précédent Revenir en haut de la page
  Grand Maître astucien
zoulouman a écrit :

Ne me dis pas que tu as oublié d'ouvrir ce port dans Iptables ?! (firewall) Avec CentOS, tous les ports sont fermés sauf ceux qu'on ouvre.

RE

Apparement c'est bon, je peux entrer avec le nouveau port (faut que je te passe les codes)

Par contre, ce qui m'interesse, c'est comment ouvrir un port dans iptables, quoique normalement pour CentOS 8, c'est nftables, non ?

zoulouman
 Posté le 06/07/2021 à 12:18 
Aller en bas de la page Revenir au message précédent Revenir en haut de la page
Astucien

Utilise firewalld.
Tu sais comment ça marche, je t'ai expliqué.

Publicité
Pages : [1] 2 3 4 5 ... Fin
Page 1 sur 5 [Fin]

Vous devez être connecté pour participer à la discussion.
Cliquez ici pour vous identifier.

Vous n'avez pas de compte ? Créez-en un gratuitement !
Recevoir PC Astuces par e-mail


La Lettre quotidienne +226 000 inscrits
Avec l'actu, des logiciels, des applis, des astuces, des bons plans, ...

Les bonnes affaires
Une fois par semaine, un récap des meilleurs offres.

Les fonds d'écran
De jolies photos pour personnaliser votre bureau. Une fois par semaine.

Les nouveaux Bons Plans
Des notifications pour ne pas rater les bons plans publiés sur le site.

Les bons plans du moment PC Astuces

Tous les Bons Plans
149,00 €Ecran PC 23.8 pouces Dell S2421HGF (FullHD, TN, 144 Hz, 1 ms, FreeSync) à 149 €
Valable jusqu'au 03 Août

Amazon fait une promotion sur l'écran PC 23.8 pouces Dell S2421HGF qui passe à 149 € au lieu de 189 € ailleurs. Cet écran possède une dalle TN Full HD (1920x1080) à 144 Hz et avec un temps de réponse de 1 ms. Il est compatible FreeSync (et GSync via Adaptive Sync). La hauteur et l'inclinaison de l'écran sont réglables. 2 ports HDMI et 1 port DP. La livraison est gratuite.


> Voir l'offre
9,99 €Bloc multiprise parasurtenseur BRENNENSTUHL 8 prises à 9,99 €
Valable jusqu'au 03 Août

Cdiscount fait une promotion sur le bloc multiprise parasurtenseur BRENNENSTUHL avec 8 prises à orientation inversée qui passe à 9,99 € au lieu de 20 €. Le câble fait 1,4 m.


> Voir l'offre
83,80 €Disque dur externe portable Toshiba Canvio Basics 4 To USB 3.0 à 83,80 €
Valable jusqu'au 04 Août

Amazon propose actuellement le disque dur externe portable Toshiba Canvio Basics 4 To USB 3.0 à 83,80 € seulement ! Avec ses 4 To et sa connectique USB 3.0 compatible USB 2.0, vous aurez de quoi stocker rapidement et emporter avec vous vos photos, vos films, etc.  La livraison est gratuite.


> Voir l'offre

Sujets relatifs
FreeBSD, Linux ou Windows ?
mutualisé windows ou linux ?
serveur sous linux ??
Envoi de fichier sur serveur Linux
affichage sous Mac et Linux
mac , linux et les autres
Transfert FTP sous Linux - RÉSOLU
Interview Linux + Astuce du jour
Comment faire du php sous linux?
 > Tous les forums > Forum Forum des Webmasters